ASP.NET AJAX
.Net Framework 3.5
2008. 03. 11.
안혁
http://hyok.kr



.Net Framework 3.5를 설치했더니 기존 .Net Framework 2.0 기반 웹 어플리케이션에서 다음과 같은 에러를 발생시키나요?

(System.Web.UI.ScriptManager)이 컨트롤 형식(System.Web.UI.ScriptManager)과 호환되지 않습니다.

사용자 삽입 이미지

ASP.NET에서 ASP.NET AJAX Extension의 가장 최신 버전의 DLL을 참조하는 것 같습니다. 오류가 발생하는 해당 어플리케이션에서 참조된 System.Web.Extensions을 삭제하고 다음 경로를 직접 참조하세요.

C:\Program Files\Microsoft ASP.NET\ASP.NET 2.0 AJAX Extensions\v1.0.61025\System.Web.Extensions.dll


Windows Server 2008에 ASP.NET AJAX Extension 1.0을 사용한 웹 어플리케이션을 배포하는 경우에도 동일한 에러가 발생할 수 있습니다. .Net Framework 3이 포함되어 있는 만큼 ASP.NET AJAX 기존 버전이 없을테니 ASP.NET AJAX 1.0을 설치한 후 작업하세요.

수정하고 다시 빌드 후에도 오류가 해결되지 않는다면 해당 웹 어플리케이션의 web.config에 다음을 추가하여 이전 버전을 사용하도록 설정하세요.

[code]
<configuration>
......
   <runtime>
      <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
         <dependentAssembly>
            <assemblyIdentity name="System.Web.Extensions" publicKeyToken="31bf3856ad364e35"/>
           <bindingRedirect oldVersion="3.5.0.0" newVersion="1.0.61025.0"/>
         </dependentAssembly>
      </assemblyBinding>
   </runtime>
</configuration>
[/code]

'.Net > .NET AJAX Extension' 카테고리의 다른 글

.Net 3.5 설치 후 System.Web.UI.ScriptManager 오류 발생  (0) 2009.02.26
ASP.NET AJAX Note  (0) 2008.07.07
Posted by 안혁 windfruit